@ECHO OFF
REM MAKEBOOT.BAT
REM ND-Datei eingedeutscht von Denis Doehler 07/99
REM Erstellt eine bootfhige DOS Diskette

IF EXIST loader.exe GOTO START
CLS
ECHO.
ECHO Sie mssen sich im NDO Verzeichnis befinden
ECHO um dieses Programm zu starten. 
ECHO.
GOTO END

:START
IF '%1' == '/clean' GOTO CLEAN1
IF '%1' == '/CLEAN' GOTO CLEAN1

CLS
ECHO.
ECHO Wir knnen nun die bootfhige Diskette formatieren. Diese
ECHO Diskette erlaubt Ihnen Ihren Computer ohne irgendwelche
ECHO Laufwerkstreiber oder Speicher resisidente Programme
ECHO zu starten. Sie knnen jederzeit Strg-C drcken um
ECHO diesen Prozess abzubrechen.
ECHO.
ECHO Hinweis fr HD-Laufwerk A-Besitzer (1.2 oder 1.44 Mbyte):
ECHO Sie bentigen eine HD-Diskette !!
ECHO.
ECHO.
ECHO Halten Sie eine leere oder unwichtige Diskette bereit.
ECHO ALLE DATEN AUF DER DISKETTE WERDEN GELSCHT !!
ECHO.

findit.exe format.com
IF ERRORLEVEL -1 GOTO NOFMT

format a: /s
IF ERRORLEVEL 1 GOTO ERROR
GOTO COPY

:ERROR
ECHO.
ECHO Vorgang abgebrochen.
GOTO END

:NOFMT
ECHO.
ECHO Das FORMAT.COM Programm konnte nicht gefunden werden. Bitte
ECHO kopieren Sie es in das DOS-Verzeichnis, welches in der
ECHO Pfad-Zeile in Ihrer Autoexec.bat Datei steht.
ECHO Beispiel: PATH C:\DOS
ECHO Lesen SIe auch Ihr DOS-Handbuch fr weitere Details.
ECHO.
GOTO END

:CLEAN1
ECHO.
ECHO Legen Sie Ihre Boot Diskette in Laufwerk A:
PAUSE
IF EXIST a:autoexec.bat GOTO COPY
ECHO.
ECHO Boot Dateien nicht gefunden ! Bitte versuchen Sie es nochmal !
ECHO Oder rufen Sie den technischen Kundendienst an, um zu helfen.
ECHO.
GOTO END

:COPY
ECHO Kopieren der Boot Dateien...

REM Put current directory path into variable AOLOC
cd > setaoloc.dat
copy setaoloc.set+setaoloc.dat setaoloc.bat > nul
CALL setaoloc.bat

REM Put current drive into file aolexec.2
cd \
cd > %aoloc%\aolexec.2
cd %aoloc% > nul

ECHO FILES=120 > a:config.sys
ECHO BUFFERS=30 >> a:config.sys

ECHO @ECHO OFF > aolexec.1
ECHO ECHO Lade... >> aolexec.1
ECHO PROMPT $P$G >> aolexec.1

ECHO cd %aoloc% >> aolexec.2

REM For clean load, add extra parameters

IF '%1' == '/clean' GOTO CLEAN2
IF NOT '%1' == '/CLEAN' GOTO NOCLEAN

:CLEAN2
ECHO LOADER /nomem >> aolexec.2
GOTO COPY2

:NOCLEAN
ECHO LOADER >> aolexec.2

:COPY2
copy aolexec.1+aolexec.2 a:autoexec.bat > nul

del setaoloc.dat > nul
del setaoloc.bat > nul
del aolexec.1 > nul
del aolexec.2 > nul

CLS
ECHO.
ECHO Rebooten mit dieser Diskette in Laufwerk A: startet
ECHO NDO automatisch.
ECHO.
ECHO Sollte NDO problemlos laufen, wenn Sie mit diese
ECHO Diskette starten, so entfernen Sie bitte die Laufwerks-
ECHO treiber oder Speicher resisidenten Programme Schritt
ECHO fr Schritt aus der AUTOEXEC.BAT und CONFIG.SYS-Datei
ECHO um das Problem einzukreisen. Weitere Informationen
ECHO finden Sie in Ihrem DOS-Handbuch.
ECHO.
IF '%1' == '/clean' GOTO CLEAN3
IF NOT '%1' == '/CLEAN' GOTO END

:CLEAN3
ECHO Diese Diskette ldt "sauber", indem der Parameter "/nomem"
ECHO hinzugefgt wird um ohne Erweiterungsspeicher zu starten.
ECHO.
ECHO Sollte dieses "saubere" Laden Ihre Probleme beseitigen und
ECHO vorherige Bootdiskette nicht, so sollten Sie in Zukunft:
ECHO.
ECHO LOADER /nomem
ECHO.
ECHO verwenden, wenn Sie von Ihrer Festplatte booten.
ECHO.

:END
